MailcrateDocs
Contacts

Get a contact

GET
/public/contact/{id}

id is the contact's id or its external identifier.

Requires the contact:read scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Path Parameters

id*string

Response Body

application/json
  1. response
id*string
email*string
externalIdentifier*string|null
status*string
Value in"subscribed""unsubscribed"
properties*
created*string
Formatdate-time
updated*string
Formatdate-time
Example Request
curl -X GET 'https://api.mailcrate.io/public/contact/string' \  -H 'Authorization: Api-Key <api_key>'
Example Response
{  "id": "string",  "email": "string",  "externalIdentifier": "string",  "status": "subscribed",  "properties": {},  "created": "2019-08-24T14:15:22Z",  "updated": "2019-08-24T14:15:22Z"}